Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class DatabaseReference

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.standard.type.DatabaseReference

All Implemented Interfaces:
  SerializableAsText

public class DatabaseReference
extends com.beanexplorer.beans.Option
implements SerializableAsText

General defintion of reference to external database. Database reference can be stored as text in following format: DatabaseName; ID[; AC][; comment]

Field Summary
`protected java.lang.String` | `ac` Record AC (secondary key) in referenced database.
`protected java.lang.String` | `comment` Arbitrary comment.
`protected java.lang.String` | `databaseName` Database name.
`protected java.lang.String` | `id` Record ID (primary key) in referenced database.

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`DatabaseReference()`
`DatabaseReference(DatabaseReference original)` Copy constructor.
`DatabaseReference(java.lang.String text)`

Method Summary
`java.lang.String` | `getAc()`
`java.lang.String` | `getAsText()`
`java.lang.String` | `getComment()`
`java.lang.String` | `getDatabaseName()`
`java.lang.String` | `getId()`
`protected java.lang.String` | `nextToken(java.util.StringTokenizer tokens)`
`void` | `setAc(java.lang.String ac)`
`void` | `setComment(java.lang.String comment)`
`void` | `setDatabaseName(java.lang.String databaseName)`
`void` | `setId(java.lang.String id)`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### databaseName

    protected java.lang.String databaseName

  Database name.

### id

    protected java.lang.String id

  Record ID (primary key) in referenced database.

### ac

    protected java.lang.String ac

  Record AC (secondary key) in referenced database.

### comment

    protected java.lang.String comment

  Arbitrary comment.

Constructor Detail

### DatabaseReference

    public DatabaseReference()

### DatabaseReference

    public DatabaseReference(DatabaseReference original)

  Copy constructor.

### DatabaseReference

    public DatabaseReference(java.lang.String text)

Method Detail

### nextToken

    protected java.lang.String nextToken(java.util.StringTokenizer tokens)

### getAsText

    public java.lang.String getAsText()

  Specified by:
    `getAsText` in interface `SerializableAsText`

### getDatabaseName

    public java.lang.String getDatabaseName()

### setDatabaseName

    public void setDatabaseName(java.lang.String databaseName)

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getAc

    public java.lang.String getAc()

### setAc

    public void setAc(java.lang.String ac)

### getComment

    public java.lang.String getComment()

### setComment

    public void setComment(java.lang.String comment)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.